## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csParasiticDataBufferPooled Class Reference

A databuffer pointing into another databuffer, pooled version. More...

`#include <csutil/parasiticdatabuffer.h>`

Inheritance diagram for csParasiticDataBufferPooled:

[legend]
List of all members.

## Public Member Functions

void | SetContents (iDataBuffer *parent, size_t offs, size_t size=(size_t)~0)
| Set contents of this data buffer.
virtual | ~csParasiticDataBufferPooled ()

## Protected Member Functions

| csParasiticDataBufferPooled (Pool *pool)

## Detailed Description

A databuffer pointing into another databuffer, pooled version.

Use like this:

      csParasiticDataBufferPooled::Pool bufferPool;
      ...
      csRef<iDataBuffer> buf;
      {
        csParasiticDataBufferPooled* bufPtr = bufferPool.Alloc ();
        bufPtr->SetContents (someOtherBuffer, Offset);
        buf.AttachNew (bufPtr);
      }

Definition at line 120 of file parasiticdatabuffer.h.

## Member Function Documentation

void csParasiticDataBufferPooled::SetContents | ( | iDataBuffer * | parent,
|  | size_t | offs,
|  | size_t | size = `(size_t)~0`
| ) | `[inline]`

| Set contents of this data buffer. Warning: Only call if you did not pass this buffer around yet! Reimplemented from csParasiticDataBufferBase. Definition at line 136 of file parasiticdatabuffer.h. References csParasiticDataBufferBase::SetContents().

The documentation for this class was generated from the following file:

- csutil/parasiticdatabuffer.h